JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Enumerations
StandardApplicationCommandIDs Namespace Reference
juce_gui_basics » commands

A set of general-purpose application command IDs. More...

## Enumerations
enum | { quit = 0x1001 , del = 0x1002 , cut = 0x1003 , copy = 0x1004 , paste = 0x1005 , selectAll = 0x1006 , deselectAll = 0x1007 , undo = 0x1008 , redo = 0x1009 }

## Detailed Description

A set of general-purpose application command IDs.

Because these commands are likely to be used in most apps, they're defined here to help different apps to use the same numeric values for them.

Of course you don't have to use these, but some of them are used internally by JUCE - e.g. the quit ID is recognised as a command by the JUCEApplication class.

See also
  ApplicationCommandInfo, ApplicationCommandManager, ApplicationCommandTarget, KeyPressMappingSet

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
quit | This command ID should be used to send a "Quit the App" command.
        This command is recognised by the JUCEApplication class, so if it is invoked
        and no other ApplicationCommandTarget handles the event first, the JUCEApplication
        object will catch it and call JUCEApplicationBase::systemRequestedQuit().
del | The command ID that should be used to send a "Delete" command.
cut | The command ID that should be used to send a "Cut" command.
copy | The command ID that should be used to send a "Copy to clipboard" command.
paste | The command ID that should be used to send a "Paste from clipboard" command.
selectAll | The command ID that should be used to send a "Select all" command.
deselectAll | The command ID that should be used to send a "Deselect all" command.
undo | The command ID that should be used to send a "undo" command.
redo | The command ID that should be used to send a "redo" command.